package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 评价指向 (窗口评价,部门评价,排号评价)枚举类
*
* @author zxfei
*/
public enum PjTypeEnum {
    窗口评价("窗口评价", "窗口评价"),
    部门评价("部门评价", "部门评价"),
    排号评价("排号评价", "排号评价");
    private String value;
    private String desc;

    PjTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PjTypeEnum getByValue(String value) {
        for (PjTypeEnum pjTypeEnum : PjTypeEnum.values()) {
            if (pjTypeEnum.getValue() == value) {
                return pjTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PjTypeEnum item : PjTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}